(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];

// symbols:
(lib.fivemultilingual_Sayfa_07 = function() {
    this.initialize(img.fivemultilingual_Sayfa_07);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,3544,3426);

// stage content:
(lib.syf7 = function(mode,startPosition,loop) {
    this.initialize(mode,startPosition,loop,{});

    // Layer 1
    this.sayfa_resim = new lib.fivemultilingual_Sayfa_07();
    this.sayfa_resim.name = "sayfa_resim";
    this.sayfa_resim.setTransform(0,0,1,1,0,0,0,0,0);

    this.timeline.addTween(cjs.Tween.get(this.sayfa_resim).wait(1));

    this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,3544,3426);

// library properties:
lib.properties = {
    id: 'EC998CA88A0C1342984A1F4A44821F62',
    width: 3544,
    height: 3426,
    fps: 24,
    color: "#FFFFFF",
    opacity: 1.00,
    manifest: [
        {src:"images/5Multilingual_Sayfa_07.png", id:"fivemultilingual_Sayfa_07"}
    ],
    preloads: []
};

// bootstrap callback support:
(lib.Stage = function(canvas) {
    createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
    this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
    an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
    an.bootstrapListeners.push(fnCallback);
    if(an.bootcompsLoaded.length > 0) {
        for(var i=0; i<an.bootcompsLoaded.length; ++i) {
            fnCallback(an.bootcompsLoaded[i]);
        }
    }
};

an.compositions = an.compositions || {};
an.compositions['EC998CA88A0C1342984A1F4A44821F62'] = {
    getStage: function() { return exportRoot.stage; },
    getLibrary: function() { return lib; },
    getSpriteSheet: function() { return ss; },
    getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
    an.bootcompsLoaded.push(id);
    for(var j=0; j<an.bootstrapListeners.length; j++) {
        an.bootstrapListeners[j](id);
    }
}

an.getComposition = function(id) {
    return an.compositions[id];
}

an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {        
    var lastW, lastH, lastS=1;        
    window.addEventListener('resize', resizeCanvas);        
    resizeCanvas();        
    function resizeCanvas() {            
        var w = lib.properties.width, h = lib.properties.height;            
        var iw = window.innerWidth, ih=window.innerHeight;            
        var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;            
        if(isResp) {                
            if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
                sRatio = lastS;                
            }                
            else if(!isScale) {                    
                if(iw<w || ih<h)                        
                    sRatio = Math.min(xRatio, yRatio);                
            }                
            else if(scaleType==1) {                    
                sRatio = Math.min(xRatio, yRatio);                
            }                
            else if(scaleType==2) {                    
                sRatio = Math.max(xRatio, yRatio);                
            }            
        }
        domContainers[0].width = w * pRatio * sRatio;            
        domContainers[0].height = h * pRatio * sRatio;
        domContainers.forEach(function(container) {                
            container.style.width = w * sRatio + 'px';                
            container.style.height = h * sRatio + 'px';            
        });
        stage.scaleX = pRatio*sRatio;            
        stage.scaleY = pRatio*sRatio;            
        lastW = iw; lastH = ih; lastS = sRatio;            
        stage.tickOnUpdate = false;            
        stage.update();            
        stage.tickOnUpdate = true;        
    }
}

})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;